Bug 984158 - SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'write' accesses on the directory riak.
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'write'...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:c8db6016f31a4439f87b48091c3...
:
: 984159 984160 984163 984164 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 01:52 EDT by Mark
Modified: 2015-02-18 08:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2013-07-13 01:52:37 EDT
Description of problem:
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from 'write' accesses on the directory riak.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that beam.smp should be allowed write access on the riak directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep beam.smp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                riak [ dir ]
Source                        beam.smp
Source Path                   /usr/lib64/erlang/erts-5.10.1/bin/beam.smp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           erlang-erts-R16B-0.3.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   15
First Seen                    2013-07-13 01:50:42 EDT
Last Seen                     2013-07-13 01:51:18 EDT
Local ID                      2fe05073-863b-467d-b0da-1e70a0660d60

Raw Audit Messages
type=AVC msg=audit(1373694678.359:773): avc:  denied  { write } for  pid=5426 comm="beam.smp" name="riak" dev="tmpfs" ino=11225 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir


type=SYSCALL msg=audit(1373694678.359:773): arch=x86_64 syscall=open success=no exit=EACCES a0=7f7cec2c1278 a1=241 a2=1b6 a3=0 items=0 ppid=5411 pid=5426 auid=4294967295 uid=989 gid=988 euid=989 suid=989 fsuid=989 egid=988 sgid=988 fsgid=988 ses=4294967295 tty=(none) comm=beam.smp exe=/usr/lib64/erlang/erts-5.10.1/bin/beam.smp subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: beam.smp,rabbitmq_beam_t,var_run_t,dir,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Mark 2013-07-13 02:16:58 EDT
Description of problem:
start riak

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 2 Miroslav Grepl 2013-07-16 04:40:21 EDT
*** Bug 984164 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2013-07-16 04:40:24 EDT
*** Bug 984163 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2013-07-16 04:40:30 EDT
*** Bug 984160 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2013-07-16 04:40:34 EDT
*** Bug 984159 has been marked as a duplicate of this bug. ***
Comment 6 Miroslav Grepl 2013-07-16 07:32:08 EDT
Is "riak" the default path in /var/lib/riak? Or did you setup it?
Comment 7 Mark 2013-07-16 09:56:01 EDT
just installed the riak rpm i didn't modify or customize.
Comment 8 Fedora End Of Life 2015-01-09 17:12:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:59:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.